# mcaptcha - Rust
API documentation for the Rust `mcaptcha` crate.
Keywords: rust, rustlang, rust-lang, mcaptcha

# Crate mcaptcha
[−] [src]

## Modules

api |
data | App data: redis cache, database connections, etc.
date |
demo |
docs |
email |
errors |
middleware |
pages |
routes |
settings |
static_assets |
stats |
widget | User facing CAPTCHA widget

## Macros

define_resource | Defines resoures for Methods

## Structs

BAR_CHART |
CREDIT_CARD |
CSS |
CheckLogin |
DOCS_ICON |
Data | App data
FILES |
GITHUB |
HELP_CIRCLE |
HOME |
JS |
KEY |
MCAPTCHA_TRANS_ICON |
MESSAGE |
MOBILE_CSS |
SETTINGS |
SETTINGS_ICON |
SOURCE_FILES_OF_INSTANCE | points to source files matching build commit
Settings |
VERIFICATIN_WIDGET_CSS |
VERIFICATIN_WIDGET_JS |

## Constants

CACHE_AGE |
COMPILED_DATE |
DOCS |
GIT_COMMIT_HASH |
OPEN_API_DOC |
PAGES |
PKG_DESCRIPTION |
PKG_HOMEPAGE |
PKG_NAME |
V1_API_ROUTES |
VERSION |
WIDGET_ROUTES |

## Functions

get_identity_service |
get_json_err |
main |

## Type Definitions

AppData |